cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Thingworx Manufacturing Apps extension import error

SOLVED
Highlighted
Level 7

Thingworx Manufacturing Apps extension import error

Hi,

While trying to import the extension "ThingworxManufacturingApps-8.0.1-02-extension.zip"  i'm getting the following error.

 

AppHomePage-extension:8.0.1

C:\ThingworxStorage\extensions\temp\ThingworxManufacturingApps-8.0.1-02-extension_d72e2141-4700-4db8-9429-50e5940689bd\ThingworxManufacturingApps-8.0.1-02-extension.zip signed extension file does not match digests

 

And import of "ThingworxManufacturingApps-8.0.1-02-extension-dependencies.zip" fails with the following error.

 

"TWX_Converge_Styles_ExtensionPackage:8.0.1Import Failed: Unable to update vocabulary [ TWUTL ]: [1,018] Data store unknown error: [Error occurred while accessing the model provider.]"

error1.pngerror2.png

Am i doing the import in the right way ? Please advice

Thanks and Regards,

Aishwarya H

MESTECH Services

 

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Thingworx Manufacturing Apps extension import error

Hi @Dabbler_Aish,

 

Which version of ThingWorx Platform installed in your machine.

 

From the error I am able to see that you are trying to import 8.0.1 version of manufacturing apps. This is compatible with 8.0.x version of ThingWorx Platform only.

Please make sure that this should be compatible to your ThingWorx Platform version.

Compatibility details are provided in the Installation Guide.

 

This error generally occurs due to improper import process or due to version incompatibility.

 

Please make sure to follow the steps mentioned under 'Import as a ThingWorx Extension' in the installation guide and refer below url for documentation.

https://www.ptc.com/en/support/refdoc

5 REPLIES

Re: Thingworx Manufacturing Apps extension import error

Manufacturing Apps extension seems to have strict Version matching limit, i.e., MFG 8.0.1 can't be import by TWX 8.1.  What's your TWX version? 

Re: Thingworx Manufacturing Apps extension import error

Hi @Dabbler_Aish,

 

Which version of ThingWorx Platform installed in your machine.

 

From the error I am able to see that you are trying to import 8.0.1 version of manufacturing apps. This is compatible with 8.0.x version of ThingWorx Platform only.

Please make sure that this should be compatible to your ThingWorx Platform version.

Compatibility details are provided in the Installation Guide.

 

This error generally occurs due to improper import process or due to version incompatibility.

 

Please make sure to follow the steps mentioned under 'Import as a ThingWorx Extension' in the installation guide and refer below url for documentation.

https://www.ptc.com/en/support/refdoc

Re: Thingworx Manufacturing Apps extension import error

My TWX version is 8.2.5

Re: Thingworx Manufacturing Apps extension import error

So that is the problem, the Manufacturing Apps you have only go with TWX 8.0.x

Re: Thingworx Manufacturing Apps extension import error

Thanks @zyuan1@hchanana , I will try with other compatible versions.